Package de.gebit.integrity.runner.modelcheck

## Class NullModelChecker

- java.lang.Object
- - de.gebit.integrity.runner.modelcheck.NullModelChecker

- All Implemented Interfaces:
    `ModelChecker`

      public class NullModelChecker
      extends Object
      implements ModelChecker

  This `ModelChecker` implementation does not perform any checks. The normally used checker is replaced with this one if the checks shall be omitted (for example for performance reasons).
  Author:
    Rene Schneider - initial API and implementation

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NullModelChecker()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `check​(Call aCall)` | Validates a call.
    `void` | `check​(CustomOperation aCustomOperation)` | Validates a custom operation.
    `void` | `check​(Suite aSuite)` | Validates a suite call.
    `void` | `check​(TableTest aTableTest)` | Validates a tabletest.
    `void` | `check​(Test aTest)` | Validates a test.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NullModelChecker

          public NullModelChecker()

  - ### Method Detail

    - #### check

          public void check​(Test aTest)
                     throws ModelRuntimeLinkException

      Description copied from interface: `ModelChecker`
      Validates a test.
      Specified by:
        `check` in interface `ModelChecker`
      Parameters:
        `aTest` - the test to check
      Throws:
        `ModelRuntimeLinkException`

    - #### check

          public void check​(Call aCall)
                     throws ModelRuntimeLinkException

      Description copied from interface: `ModelChecker`
      Validates a call.
      Specified by:
        `check` in interface `ModelChecker`
      Parameters:
        `aCall` - the call to check
      Throws:
        `ModelRuntimeLinkException`

    - #### check

          public void check​(TableTest aTableTest)
                     throws ModelRuntimeLinkException

      Description copied from interface: `ModelChecker`
      Validates a tabletest.
      Specified by:
        `check` in interface `ModelChecker`
      Parameters:
        `aTableTest` - the tabletest to check
      Throws:
        `ModelRuntimeLinkException`

    - #### check

          public void check​(CustomOperation aCustomOperation)
                     throws ModelRuntimeLinkException

      Description copied from interface: `ModelChecker`
      Validates a custom operation.
      Specified by:
        `check` in interface `ModelChecker`
      Parameters:
        `aCustomOperation` - the custom operation to check
      Throws:
        `ModelRuntimeLinkException`

    - #### check

          public void check​(Suite aSuite)
                     throws ModelRuntimeLinkException

      Description copied from interface: `ModelChecker`
      Validates a suite call.
      Specified by:
        `check` in interface `ModelChecker`
      Parameters:
        `aSuite` - the suite call to check
      Throws:
        `ModelRuntimeLinkException`